From 4953d7bb249502fd8d87295b81bd381e70134fc0 Mon Sep 17 00:00:00 2001
From: kahole <kristian@hole.priv.no>
Date: Sat, 26 Oct 2019 17:08:17 +0200
Subject: [PATCH 2/2] Adds backslash as escape character to mysql syntax-alist

In MySQL syntax backslash denotes an escape sequence.
This change adds backslash to the syntax-alist of
MySQL in sql-mode as per (Bug#37459).
---
 lisp/progmodes/sql.el | 2 +-
 1 file changed, 1 insertion(+), 1 deletion(-)

diff --git a/lisp/progmodes/sql.el b/lisp/progmodes/sql.el
index f985157202..81e0d8cf89 100644
--- a/lisp/progmodes/sql.el
+++ b/lisp/progmodes/sql.el
@@ -461,7 +461,7 @@ sql-product-alist
      :prompt-regexp "^mysql> "
      :prompt-length 6
      :prompt-cont-regexp "^    -> "
-     :syntax-alist ((?# . "< b"))
+     :syntax-alist ((?# . "< b") (?\\ . "\\"))
      :input-filter sql-remove-tabs-filter)
 
     (oracle
-- 
2.18.0

